Subject: Re: FCNTL.DLL causes illegal instruction w/ perl since upgrade
From: [email-masked]
To: [email-masked] ("cygwin")
Cc: [email-masked] ("Elfyn McBratney")
Date: Wed, 23 Apr 2003 22:19:43 -0400

>> "Elfyn McBratney" <[email-masked]> wrote:
>>
>> >> am i stuck?
>> >
>> >Right, just to clarify: You re-installed perl-5.8 and rebased your DLLs.
>>
>> here is the output:
>>
>> $ rebaseall
>
>There was some, right? ;-)

yeah it crunched like before, just nothing to STDOUT..

>> >What happens if you
>> >
>> >$ cd /usr/lib/perl5/5.8.0/cygwin-multi-64int/auto/Fcntl
>> >$ perl -e 'use Fcntl;'
>>
>> $ perl -e 'use Fcntl;'
>>
>> this command produces no output. I guess you have to do i/o that uses
>fcntl....
>
>Well that's good...It means it is working (just to make sure try the above
>and change 'use Fcntl' to 'use Fcntl qw(:fcntl)'). 

is your syntax right? here is the output:

$ perl -e 'use Fcntl qw(:fcntl)'
"fcntl" is not defined in %Fcntl::EXPORT_TAGS at -e line 1
        main::BEGIN() called at /usr/lib/perl5/5.8.0/Carp.pm line 1
        eval {...} called at /usr/lib/perl5/5.8.0/Carp.pm line 1
Can't continue after import errors at -e line 1
BEGIN failed--compilation aborted at -e line 1.

>I'm don't know too much
>about perl's XSLoader, but IIRC it loads the DLL when the Fcntl module is
>requested/loaded(?). Sorry there's not much else I can suggest. Maybe
>someone will be able to help you more.

Oh nooooo.... i was starting to get good at using this cygwin. To reiterate: 

- this was working two weeks ago. Is there a way to back down pull a different version of cygwin?
- Is this a cygwin problem?
- Is this a perl problem?

JIM

__________________________________________________________________
Try AOL and get 1045 hours FREE for 45 days!
http://free.aol.com/tryaolfree/index.adp?375380

Get AOL Instant Messenger 5.1 for FREE! Download Now!
http://aim.aol.com/aimnew/Aim/register.adp?promo=380455

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/